.sbs-event-image-fallback img {
    display:block; 
    opacity:0.05; 
    transition: opacity 0.4s cubic-bezier(0, 0, 0, 1);
}

.sbs-single-event {
    max-width: 300px;
    background: var(--enfold-main-color-bg);
    padding: 10px; 
    border-radius: 25px 25px 15px 15px; 
    box-shadow: 0 0 17px -7px var(--enfold-main-color-meta); 
    transition: box-shadow 0.3s cubic-bezier(0, 0, 0, 1), transform 0.3s cubic-bezier(0, 0, 0, 1); 
    margin: 0 auto;
    position:relative;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}
.sbs-single-event:has(.eventiscanceled) {
    outline: 3px solid #af0912;
    outline-offset: -2px;
}
.sbs-events-flex .sbs-single-event:hover {
    transform: scale(1.03) translateY(-1.5%);
    box-shadow: 0px 5px 14px 1px var(--enfold-main-color-meta); 
}
.sbs-single-event .image-overlay {
    display: none!important;
}

.sbs-single-event:hover .sbs-excerpt {
    opacity: 1;
}
.sbs-event-image-fallback .sbs-excerpt {
    background-color: rgba(14,110,100, 0.8);
}
.sbs-single-event:hover .eventiscanceled {
    opacity: 0;
}

.sbs-overlay {
    position: relative;
    width: 100%;
    container-type:inline-size;
    overflow: hidden;
    z-index: 2;
    border-radius: 15px;
}

.sbs-excerpt {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: absolute;
    z-index: 100;
    top:0; 
    width: 100%;
    width: 100cqw; 
    container-type: inline-size;
    color: white; 
    transition: opacity 0.4s cubic-bezier(0, 0, 0, 1);
    aspect-ratio: 1 / 1;
    overflow: hidden;
    background-color: #0004;
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    opacity: 0;
    border-radius: 15px;
    height: 100%;
}
.sbs-excerpt p {
    padding: 0 5px;
    padding: 0 min(10px, 5cqw);
    margin: 0;
    color: white!important;
    text-shadow: 0 1px 10px black, 0 1px 10px black;
    text-align: center;
    font-size: 16px;
    font-size: min(7.5cqw, 16px);
    line-height: min(8.2cqw, 18px);
    font-weight: 600;
    hyphens: auto;
    hyphenate-limit-chars: 11 5 4;
    -webkit-hyphens:auto;
    -webkit-hyphenate-limit-before: 5;
    -webkit-hyphenate-limit-after: 5;
}

.sbs-overlay:has(.eventiscanceled) .sbs-excerpt {
    background-color: #5e1224b2;
}

.sbs-info {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.sbs-info {
    color: var(--enfold-main-color-color)
} 
.sbs-info h1 {
    color: var(--enfold-main-color-heading)
}
.sbs-title h1 {
    padding-top: 10px;
    font-size: 18px;
    font-size: min(18px, 11cqw);
    hyphens: auto;
    hyphenate-limit-chars: 15 7 4;
    -webkit-hyphens:auto;
    -webkit-hyphenate-limit-before: 7;
    -webkit-hyphenate-limit-after: 5;
    text-transform: initial!important;
    letter-spacing: initial!important;
}
.sbs-data p {
    font-size: min(14px, 8.6cqw);
    line-height: min(22px, 13.4cqw);
    margin: 0;
    text-align: left;
    hyphens: auto;
    hyphenate-limit-chars: 11 5 4;
    -webkit-hyphens:auto;
    -webkit-hyphenate-limit-before: 5;
    -webkit-hyphenate-limit-after: 5;
}


.sbs-info .eventisover {
    background-color: #003d1b;
    color: white;
    border-radius: 8px;
    font-size: 17px;
    text-align: center;
    padding: 3px 8px;
}
.sbs-info .eventisover a {
    display:block;
    color: white;
}
.eventiscanceled {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position:absolute;
    bottom: 0;
    left: 0;
    text-align: center;
    background-color: #5e1224a2;
    color: white;
    border-radius: 0 0 15px 15px;
    font-size: min(8cqw, 16px);
    width: 100%;
    height: 20%;
    white-space: nowrap;
    overflow: hidden;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}


.sbs-events-list {
    --sbs-list-height: 150px;
    .sbs-single-event {
        display: flex;
        flex-direction: row;
        gap: 30px;
        gap: 5vw;
        align-items: center;
        justify-content: center;
        max-width: initial;
        max-height: var(--sbs-list-height);
        transition: opacity 0.45s ease-in-out, border-radius 0.05s ease;
        background-color: white;
        border-radius: 10px 25px 25px 10px;
        margin: 10px 0;
        overflow:hidden;
        padding: 0;
    }
    .sbs-more {
        border-radius: 25px;
        max-width: 400px;
        margin-left: auto;
    }
    .sbs-excerpt {
        backdrop-filter: blur(10px);
        -webkit-backdrop-filter: blur(10px);
        padding: 0 5%;
    }
    .sbs-single-event:has(.sbs-overlay:hover) {
        border-radius: 25px;
    }
    .sbs-single-event:hover .sbs-excerpt {
        opacity: 0;
    }
    .sbs-overlay, .sbs-excerpt {
        flex: 1;
        max-width: var(--sbs-list-height);
        border-radius: 0;
    }
    .sbs-single-event .sbs-overlay:hover, .sbs-single-event:has(.sbs-overlay:hover) .sbs-excerpt {
        flex: 10;
        max-width: initial;
        opacity: 1;
    }
    .sbs-single-event:has(.sbs-overlay:hover) .sbs-info {
        display: none;
    }
    .sbs-info {
        flex: 1;
        text-align:left;
        overflow: hidden;
    }
    .sbs-info:has(.sbs-data > .eventisover) {
        padding-bottom: calc(85px - 10vw);
    }    
    .sbs-info:has(.sbs-data > .eventisover) .sbs-data p {
        display: none;
    }
    .eventisover {
        width: calc(100% - 150px);
        position: absolute;
        bottom: 0;
        left: var(--sbs-list-height);
        z-index: 100;
        border-radius: 0;
    }
}

.sbs-events-flex {
    display: flex;
    flex-direction: row;
    position: relative;
    left: calc(-50vw + 50%);
    width: 100vw;
    overflow-x: auto;
    padding: 50px 100px;
    scroll-snap-type: x proximity;
}
.sbs-events-flex .sbs-single-event {
    margin: 10px 10px;
    flex: 0 0 auto;
    width: min(300px, 90vw);
    scroll-snap-align: center;

}


.sbs-events-flex .sbs-more {
    align-items: center;
    justify-content: space-evenly;
    writing-mode: tb;
    flex-direction: row;
    width: 70px;
}

.sbs-colorbar {
    position: absolute; 
    bottom: -5%; 
    right: -10%;
    height: 40px;
    width: 30%;
    z-index: 1; 
    transform: rotate(135deg);
    background-color: #cfcfcf; 
}

.sbs-colorbar.gottesdienst {
    background-color: #f57f81;
}
.sbs-colorbar.glaubensangebote {
    background-color: #8175eb;
}
.sbs-colorbar.gemeinderat {
    background-color: #f4a676;
}
.sbs-colorbar.gemeindeabend {
    background-color: #6da83c;
}
.sbs-colorbar.fahrt {
    background-color: #f4df76
}
.sbs-colorbar.musik {
    background-color: #c470eb
}
.sbs-colorbar.freizeit {
    background-color: #f476b9;
    /*background: linear-gradient(135deg, red, orange, yellow, green, blue, indigo, violet, red); */
}
.sbs-colorbar.co-Working {
    background-color: #7febe6;
}
.sbs-single-event:has(.eventiscanceled) .sbs-colorbar {
    display:none;
}

@media screen and (max-width: 989px){
    .sbs-events-flex {
        padding: 50px 5vw;
    }
    .sbs-events-flex .sbs-single-event {
        width: min(300px, 65vw);
    }
    .sbs-events-flex .sbs-more {
        width: 70px;
    }
}